[repositories] devel: [groups] [packages] [maintainers] [changelog]

 perl-RPM: Native bindings to the RPM API for Perl

Name:perl-RPM
Release:5.2.1-39mamba
Architecture:x86_64
Group:Development/Libraries/Perl
Description:The Perl-RPM module is an attempt to provide Perl-level access to the complete application programming interface that is a part of the Red Hat Package Manager (RPM). Rather than have scripts rely on executing RPM commands and parse the resulting output, this module aims to give Perl programmers the ability to do anything that would otherwise have been done in C or C++.
The interface is being designed and laid out as a collection of classes, at least some of which are also available as tied-hash implementations.
At this time, the interface only provides access to the database of installed packages, and header data retrieval for RPM and SRPM files is not yet installed. Error management and the export of most defined constants, through RPM::Error and RPM::Constants, respectively, are also available.
Size:189.07 KB
Download:perl-RPM-5.2.1-39mamba.x86_64.rpm
Source RPM:rpm5
Provides:perl(RPM) perl(RPM::Constant) perl(RPM::Dependencies) perl(RPM::Files) perl(RPM::Header) perl(RPM::PackageIterator) perl(RPM::Problems) perl(RPM::Spec) perl(RPM::Transaction) perl-RPM[=5.2.1-39mamba] perl-RPM(x86-64)[=5.2.1-39mamba]
Requires:libc.so.6()(64bit) libc.so.6(GLIBC_2.14)(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libelf.so.1()(64bit) libperl.so()(64bit) libpopt libpopt.so.0()(64bit) libpthread.so.0()(64bit) libpthread.so.0(GLIBC_2.2.5)(64bit) librpm-5.2.so()(64bit) librpm-5.2.so(LIBRPM_0)(64bit) librpm5[=5.2.1-39mamba] librpmbuild-5.2.so()(64bit) librpmbuild-5.2.so(LIBRPMBUILD_0)(64bit) librpmconstant-5.2.so()(64bit) librpmconstant-5.2.so(LIBRPMCONSTANT_0)(64bit) librpmdb-5.2.so()(64bit) librpmdb-5.2.so(LIBRPMDB_0)(64bit) librpmio-5.2.so()(64bit) librpmio-5.2.so(LIBRPMIO_0)(64bit) librpmmisc-5.2.so()(64bit) perl[>=0:5.00503] perl[>=5.8.0] perl(Cwd) perl(DynaLoader)(libperl|perl) perl(Exporter)(perl|perl-App-cpanminus) perl(File::Basename) perl(File::Spec) perl(RPM) perl(RPM::Header) perl(RPM::PackageIterator) perl(RPM::Transaction) perl(overload) perl(strict) perl(vars)
RPM requirements:glibc libelf libperl libpopt glibc librpm5 perl libperl perl(DynaLoader)(libperl|perl) perl(Exporter)(perl|perl-App-cpanminus) libperl perl
Required by:
Build required by:
Filenames:/usr/lib/.build-id /usr/lib/.build-id/b5 /usr/lib/.build-id/b5/3ad73a65288d867e22bc4195979809812416d4 /usr/lib/perl5/vendor_perl/5.24.0/x86_64-linux-thread-multi/RPM /usr/lib/perl5/vendor_perl/5.24.0/x86_64-linux-thread-multi/RPM.pm /usr/lib/perl5/vendor_perl/5.24.0/x86_64-linux-thread-multi/RPM/Constant.pm /usr/lib/perl5/vendor_perl/5.24.0/x86_64-linux-thread-multi/RPM/Dependencies.pm /usr/lib/perl5/vendor_perl/5.24.0/x86_64-linux-thread-multi/RPM/Files.pm /usr/lib/perl5/vendor_perl/5.24.0/x86_64-linux-thread-multi/RPM/Header.pm /usr/lib/perl5/vendor_perl/5.24.0/x86_64-linux-thread-multi/RPM/PackageIterator.pm /usr/lib/perl5/vendor_perl/5.24.0/x86_64-linux-thread-multi/RPM/Problems.pm /usr/lib/perl5/vendor_perl/5.24.0/x86_64-linux-thread-multi/RPM/Spec.pm /usr/lib/perl5/vendor_perl/5.24.0/x86_64-linux-thread-multi/RPM/Transaction.pm /usr/lib/perl5/vendor_perl/5.24.0/x86_64-linux-thread-multi/auto/RPM /usr/lib/perl5/vendor_perl/5.24.0/x86_64-linux-thread-multi/auto/RPM/RPM.so /usr/share/man/man3/RPM.3pm.gz /usr/share/man/man3/RPM::Constant.3pm.gz /usr/share/man/man3/RPM::Dependencies.3pm.gz /usr/share/man/man3/RPM::Files.3pm.gz /usr/share/man/man3/RPM::Header.3pm.gz /usr/share/man/man3/RPM::PackageIterator.3pm.gz /usr/share/man/man3/RPM::Problems.3pm.gz /usr/share/man/man3/RPM::Spec.3pm.gz /usr/share/man/man3/RPM::Transaction.3pm.gz

[repositories] devel: [groups] [packages] [maintainers] [changelog]

Automatically generated by distromatic.